import React from 'react'
import { useAuth } from 'test608'

function Protected({ children }) {
  const { isAuthenticated } = useAuth()
  if (!isAuthenticated) {
    return <div>Not Authorised </div>
  }
  return children
}
export default Protected
