import { IAuthContext } from '../../context/models'

export const createContextMock = (context: Partial<IAuthContext>) => ({
  login: context.login ?? jest.fn(),
  logout: context.logout ?? jest.fn(),
  register: context.register ?? jest.fn(),
  user: context.user ?? {},
  isUserLoading: context.isUserLoading ?? false,
  isAuthenticated: context.isAuthenticated ?? false,
  refreshToken: context.refreshToken ?? jest.fn(),
})
